/** @jsx dom */
'use strict';

Object.defineProperty(exports, '__esModule', {
	value: true
});
exports.render = render;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _magicVirtualElement = require('magic-virtual-element');

var _magicVirtualElement2 = _interopRequireDefault(_magicVirtualElement);

var _cleanQuery = require('clean-query');

var _cleanQuery2 = _interopRequireDefault(_cleanQuery);

var propTypes = {
	app_id: {
		type: 'string'
	},
	'class': {
		type: 'string'
	},
	id: {
		type: 'string'
	},
	target: {
		type: 'string'
	},
	u: {
		type: 'string'
	}
};

exports.propTypes = propTypes;

function render(_ref) {
	var props = _ref.props;
	var app_id = props.app_id;
	var children = props.children;
	var id = props.id;
	var target = props.target;
	var u = props.u;

	var query = (0, _cleanQuery2['default'])({
		app_id: app_id,
		u: u
	});

	return (0, _magicVirtualElement2['default'])(
		'a',
		{ href: 'https://facebook.com/sharer.php?' + query, 'class': ['SocialShare', props['class']], id: id, target: target },
		children
	);
}