/** @jsx dom */
'use strict';

Object.defineProperty(exports, '__esModule', {
	value: true
});
exports.render = render;

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _magicVirtualElement = require('magic-virtual-element');

var _magicVirtualElement2 = _interopRequireDefault(_magicVirtualElement);

var _cleanQuery = require('clean-query');

var _cleanQuery2 = _interopRequireDefault(_cleanQuery);

var propTypes = {
	'class': {
		type: 'string'
	},
	hashtags: {
		type: 'array'
	},
	id: {
		type: 'string'
	},
	in_reply_to: {
		type: 'string'
	},
	related: {
		type: 'string'
	},
	target: {
		type: 'string'
	},
	text: {
		type: 'string'
	},
	url: {
		type: 'string'
	},
	via: {
		type: 'string'
	}
};

exports.propTypes = propTypes;

function render(_ref) {
	var props = _ref.props;
	var children = props.children;
	var hashtags = props.hashtags;
	var id = props.id;
	var in_reply_to = props.in_reply_to;
	var related = props.related;
	var target = props.target;
	var text = props.text;
	var url = props.url;
	var via = props.via;

	var query = (0, _cleanQuery2['default'])({
		hashtags: hashtags ? hashtags.join(',') : '',
		in_reply_to: in_reply_to,
		related: related,
		text: text,
		url: url,
		via: via
	});

	return (0, _magicVirtualElement2['default'])(
		'a',
		{ href: 'https://twitter.com/share?' + query, 'class': ['SocialShare', props['class']], id: id, target: target },
		children
	);
}